| Home | Libraries | People | FAQ | More

#### test::success_handler

Return a test CompletionHandler which requires success.

##### Synopsis

Defined in header `<boost/beast/_experimental/test/handler.hpp>`

    handler
    success_handler(
        boost::source_location loc = BOOST_CURRENT_LOCATION);

##### Description

The returned handler can be invoked with any signature whose first parameter is an `error_code`. The handler fails the test if:

- The handler is destroyed without being invoked, or
- The handler is invoked with a non-successful error code.